Bundles
Get a bundle
Returns the bundle with its linked products and primary product.
Returns the bundle with its linked products and primary product.
Authorization
ApiKeyAuth x-api-key<token>
API key from the CoverPort developer portal.
In: header
Path Parameters
bundleId*integer
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/bundles/42"{ "success": true, "data": { "id": 42, "bundle_name": "PD + NTL Monthly", "customer_facing_name": "Physical Damage + Non-Trucking Liability", "internally_facing_name": "PD_NTL_MONTHLY_2026", "bundle_description": "Monthly physical damage and non-trucking liability coverage for owner-operators, billed on the 1st.", "is_recurring": true, "is_test_mode": true, "product_line_count": 2, "root_insurer_db_id": 4, "root_mga_db_id": null, "root_seller_db_id": null, "question_set_id": 11, "youtube_link": null, "creation_datetime": "2026-09-21T18:04:11.000Z", "last_updated_datetime": "2026-09-21T18:04:11.000Z", "linked_products": [ { "id": 301, "product_name": "Physical Damage", "default_price": 189, "is_primary": true, "link_created_at": "2026-09-21T18:04:11.000Z" }, { "id": 302, "product_name": "Non-Trucking Liability", "default_price": 74, "is_primary": false, "link_created_at": "2026-09-21T18:04:11.000Z" } ], "primary_product": { "id": 301, "product_name": "Physical Damage", "default_price": 189, "is_primary": true } }, "message": "Bundle retrieved successfully"}